Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.impl
Class ControllerRequestParameterNames

    java.lang.Object
      org.jboss.portal.portlet.controller.impl.ControllerRequestParameterNames

    public class ControllerRequestParameterNames

extends java.lang.Object

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `ACTION_PHASE` Denotes an action lifecycle operation.
`static java.lang.String` | `INTERACTION_STATE` The portlet interaction state for lifecycle of type `ACTION_LIFECYCLE`.
`static java.lang.String` | `LIFECYCLE_PHASE` The life cycle type of the invocation.
`static java.lang.String` | `MODE` The portlet mode.
`static java.lang.String` | `NAVIGATIONAL_STATE` The portlet navigational state for any type of lifecycle.
`static java.lang.String` | `PAGE_NAVIGATIONAL_STATE` The page state for any kind of lifecycle.
`static java.lang.String` | `PUBLIC_NAVIGATIONAL_STATE_CHANGES` The public navigational state changes of a portlet for lifecycle of type `RENDER_LIFECYCLE`.
`static java.lang.String` | `RENDER_PHASE` Denotes a render lifecycle operation.
`static java.lang.String` | `RESOURCE_CACHEABILITY` The resource cacheability for lifecycle of type `RESOURCE_LIFECYCLE`.
`static java.lang.String` | `RESOURCE_ID` The resource id for lifecycle of type `RESOURCE_LIFECYCLE`.
`static java.lang.String` | `RESOURCE_PHASE` Denotes a resource lifecycle operation.
`static java.lang.String` | `RESOURCE_STATE` The portlet resource state for lifecycle of type `RENDER_LIFECYCLE`.
`static java.lang.String` | `WINDOW_ID` The window id.
`static java.lang.String` | `WINDOW_STATE` The window state.

Constructor Summary
`ControllerRequestParameterNames()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LIFECYCLE_PHASE

    public static final java.lang.String LIFECYCLE_PHASE

  The life cycle type of the invocation. The values accepted are `ACTION_LIFECYCLE`, `RENDER_LIFECYCLE` and `RESOURCE_LIFECYCLE`.

  See Also:
    Constant Field Values

### WINDOW_ID

    public static final java.lang.String WINDOW_ID

  The window id.

  See Also:
    Constant Field Values

### MODE

    public static final java.lang.String MODE

  The portlet mode.

  See Also:
    Constant Field Values

### WINDOW_STATE

    public static final java.lang.String WINDOW_STATE

  The window state.

  See Also:
    Constant Field Values

### NAVIGATIONAL_STATE

    public static final java.lang.String NAVIGATIONAL_STATE

  The portlet navigational state for any type of lifecycle.

  See Also:
    Constant Field Values

### RESOURCE_STATE

    public static final java.lang.String RESOURCE_STATE

  The portlet resource state for lifecycle of type `RENDER_LIFECYCLE`.

  See Also:
    Constant Field Values

### INTERACTION_STATE

    public static final java.lang.String INTERACTION_STATE

  The portlet interaction state for lifecycle of type `ACTION_LIFECYCLE`.

  See Also:
    Constant Field Values

### PAGE_NAVIGATIONAL_STATE

    public static final java.lang.String PAGE_NAVIGATIONAL_STATE

  The page state for any kind of lifecycle.

  See Also:
    Constant Field Values

### PUBLIC_NAVIGATIONAL_STATE_CHANGES

    public static final java.lang.String PUBLIC_NAVIGATIONAL_STATE_CHANGES

  The public navigational state changes of a portlet for lifecycle of type `RENDER_LIFECYCLE`.

  See Also:
    Constant Field Values

### RESOURCE_ID

    public static final java.lang.String RESOURCE_ID

  The resource id for lifecycle of type `RESOURCE_LIFECYCLE`.

  See Also:
    Constant Field Values

### RESOURCE_CACHEABILITY

    public static final java.lang.String RESOURCE_CACHEABILITY

  The resource cacheability for lifecycle of type `RESOURCE_LIFECYCLE`.

  See Also:
    Constant Field Values

### ACTION_PHASE

    public static final java.lang.String ACTION_PHASE

  Denotes an action lifecycle operation.

  See Also:
    Constant Field Values

### RENDER_PHASE

    public static final java.lang.String RENDER_PHASE

  Denotes a render lifecycle operation.

  See Also:
    Constant Field Values

### RESOURCE_PHASE

    public static final java.lang.String RESOURCE_PHASE

  Denotes a resource lifecycle operation.

  See Also:
    Constant Field Values

Constructor Detail

### ControllerRequestParameterNames

    public ControllerRequestParameterNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.